Apache C++ Standard Library Reference Guide

## <ostream>

Library: Input/output

    Header

- Local Index
- Summary
- Synopsis
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

The header `<ostream>` is part of the Input/output library of the Standard C++ library. It defines the class template basic_ostream and a number of inserters, and overloads of the function template `operator<<()` specialized for basic_ostream.

### Synopsis

    namespace std {
      template <class charT, class traits = char_traits<charT> >
      class basic_ostream;
      typedef basic_ostream<char> ostream;
      typedef basic_ostream<wchar_t> wostream;

      template <class charT, class traits>
      basic_ostream<charT, traits>&
      endl(basic_ostream<charT,traits>&);

      template <class charT, class traits>
      basic_ostream<charT, traits>&
      ends(basic_ostream<charT, traits>&);

      template <class charT, class traits>
      basic_ostream<charT, traits>&
      flush(basic_ostream<charT, traits>&);
    }

### See Also

basic_ostream

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems --Programming Language C++, Section 27.6